import 'package:args/args.dart';

import '../operation/initialisation.dart';

const init = 'init';
const help = 'help';

/// Command class contains all commands related to this application builders handle in console based
class Commands {
  static final  argParser = ArgParser()
    ..addFlag(init, abbr: 'i', help: 'Sets the name of the app.',negatable: false)
    ..addFlag(help, abbr: 'h', help: 'Shows help.', negatable: false);

  /// Entery point of an execute constains redirection to several actions related to input from console.
  static void execute(List<String> args) {
    final ArgResults results = argParser.parse(args);

    if (results[init] != null || results[init]) {
      Intialisation.setupApplication();
    }
  }
}
